import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

// API variables
const String port = "8443";
const String serverURI = "https://127.0.0.1:$port/";
const String mapEndpoint = "update_map";
const int fetchInterval = 5;

// Font variables
const textColor = Colors.white;
final appTitleStyle = GoogleFonts.dmSans(
  fontSize: 35,
  color: Colors.black,
  fontWeight: FontWeight.bold, // Add this line to make the text bold
);
final titleStyle = GoogleFonts.dmSans(
  fontSize: 35,
  color: textColor,
  fontWeight: FontWeight.bold, // Add this line to make the text bold
);
final textStyle = GoogleFonts.dmSans(fontSize: 20, color: textColor);
final chartTextStyle = GoogleFonts.dmSans(fontSize: 14, color: textColor);

// Colors
const darkBlue = Color(0xFF00B4D8);
const darkestBlue = Color(0xFF03045E);
const lightBlue = Color(0xFFCAF0F8);
const superLightBlue = Color(0xFFCAF0F8);
const barBlue = Color(0xFF0077B6);